Bug 66435 - Quanta: Please enable drag and drop operations in the file tree
Summary: Quanta: Please enable drag and drop operations in the file tree
Status: RESOLVED FIXED
Alias: None
Product: quanta
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: András Manţia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-23 05:13 UTC by Ben Burton
Modified: 2004-06-28 23:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Burton 2003-10-23 05:13:56 UTC
Version:            (using KDE KDE 3.1.4)
Installed from:    Debian testing/unstable Packages

Received through the Debian BTS (#201966).

It would be nice if I could drag the files in the file window onto a directory to move it into.

Thanks!
Comment 1 András Manţia 2004-02-28 10:41:29 UTC
D&D already works, but it copies, not moves.

Comment 2 mrudolf 2004-04-18 10:39:00 UTC
For me, moving would be more standard (specially that pressing Ctrl shows +).
Also, here D&D doesn't work for empty directories (you cannot drop file to empty subdirectory).
Comment 3 András Manţia 2004-04-18 11:10:58 UTC
On Sunday 18 April 2004 11:39, mrudolf@kdewebdev.org wrote:
> For me, moving would be more standard (specially that pressing Ctrl
> shows +). 
Didn't we agreed that we want to be consistent with Konqueror, where 
moving without modifier keys shows the menu?

> Also, here D&D doesn't work for empty directories (you 
> cannot drop file to empty subdirectory).
Seems to be a bug than.

Andras
Comment 4 András Manţia 2004-06-28 23:02:51 UTC
Implemented in CVS HEAD.